<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a id="index__5F" name="index__5F"></a>- _ -</h3><ul>
<li>__del__()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a2d9f61dd42566e52af4ff87a38e35e70">Car.Car</a></li>
<li>__init__()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a06b56c5efe7ccb56f4ba6dc00067db1a">Car.Car</a>, <a class="el" href="classconfigure_1_1config.html#a113bc6fac40f3b6434d1e4a6161871fd">configure.config</a>, <a class="el" href="classMotion_1_1Motion.html#a5b14f16133a02be0bda8f603abbfac60">Motion.Motion</a>, <a class="el" href="classRoad_1_1Road.html#a30eb9093e5ae2f2ba2b489b85f8b35da">Road.Road</a>, <a class="el" href="classTiles_1_1Tiles.html#a7c85a4a169aad0f10632c14d8ca0c9f2">Tiles.Tiles</a>, <a class="el" href="classtraffic__light_1_1traffic__light.html#aa45d38121a8c8bbb68ce12d489396a61">traffic_light.traffic_light</a>, <a class="el" href="classTrafficLight_1_1traffic__light.html#af320a7c90844b4c5e04927da93ff7698">TrafficLight.traffic_light</a></li>
<li>__repr__()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#adf3b69304a5474391c93bf3b36d72f22">Car.Car</a>, <a class="el" href="classTiles_1_1Tiles.html#a3a8eb0a7d44006ffe8c1773dae493698">Tiles.Tiles</a></li>
</ul>


<h3><a id="index_c" name="index_c"></a>- c -</h3><ul>
<li>cars&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#af896b4d92a9eedecac1d698e3849de1c">Motion.Motion</a></li>
</ul>


<h3><a id="index_d" name="index_d"></a>- d -</h3><ul>
<li>down&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a6a11e491ece472eb70fac732cadf61fb">Direction.Direction</a></li>
<li>drive_direction&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a18c3cc33b0b97a0a35f5c3da7d61f9f2">Car.Car</a></li>
</ul>


<h3><a id="index_e" name="index_e"></a>- e -</h3><ul>
<li>end_point&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a5336c45b4cbb4da1acc9c8b22ee768e5">Tiles.Tiles</a></li>
</ul>


<h3><a id="index_f" name="index_f"></a>- f -</h3><ul>
<li>first_pattern&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a8ec6668a92e5699e846bfe8d311a02e5">TrafficLight.traffic_light</a></li>
</ul>


<h3><a id="index_g" name="index_g"></a>- g -</h3><ul>
<li>get_color()&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aa78d158ad984303ba8f6d5347a28dcae">TrafficLight.traffic_light</a></li>
<li>get_direction()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#aec0c1afb7df0a4f7876d8df3920f5970">Car.Car</a></li>
<li>get_light()&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a119b518fa08ac411763cc0a289523c81">traffic_light.traffic_light</a></li>
<li>get_opposite_direction()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#ad422c38711106143cea393eb4744193f">Car.Car</a></li>
<li>get_velocity()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a7ef7b85e3a1378cc6d8d3d00383124c6">Car.Car</a></li>
<li>green_light&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a4f4644ca5fab22c9215240b12f781da6">traffic_light.traffic_light</a></li>
<li>grid&#160;:&#160;<a class="el" href="classRoad_1_1Road.html#af9ff55b8cfe37e447e3897efc05d8168">Road.Road</a></li>
</ul>


<h3><a id="index_h" name="index_h"></a>- h -</h3><ul>
<li>height&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a32c8bc631a05413154d63bb7c58f53ba">traffic_light.traffic_light</a></li>
</ul>


<h3><a id="index_i" name="index_i"></a>- i -</h3><ul>
<li>is_crossing&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a9b7755b3905fae91b679afa429a9ad38">Tiles.Tiles</a></li>
<li>is_obstacle&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a5507d373d2ec05c9dfaa6dfe0a6cade7">Tiles.Tiles</a></li>
</ul>


<h3><a id="index_l" name="index_l"></a>- l -</h3><ul>
<li>left&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a835bd87aa59f21d611652f6b7d7d162c">Direction.Direction</a></li>
</ul>


<h3><a id="index_m" name="index_m"></a>- m -</h3><ul>
<li>move()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#aadd1efe9374525d459da23aee75b0862">Car.Car</a></li>
</ul>


<h3><a id="index_n" name="index_n"></a>- n -</h3><ul>
<li>nagel_down()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#add00522f5d42bee565ec1184128f740c">Motion.Motion</a></li>
<li>nagel_left()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#ae7667aec216f2492e82be98c1e9380d7">Motion.Motion</a></li>
<li>nagel_right()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a6bc8f921cc19dfb6de9b256be4420315">Motion.Motion</a></li>
<li>nagel_up()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a3812c4cd45e1ee03518952cfa2a25e23">Motion.Motion</a></li>
<li>none&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a7273f71eb85eacb2473ddfb747552ac4">Direction.Direction</a></li>
</ul>


<h3><a id="index_p" name="index_p"></a>- p -</h3><ul>
<li>pattern_position&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#ad56168a4c346806685a40413b3951b68">TrafficLight.traffic_light</a></li>
<li>pattern_tick&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a00c25a4169499885eeaef836008f07de">TrafficLight.traffic_light</a></li>
<li>picked_pattern&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a980808cf2225a59fa253a0d5362b3a8a">TrafficLight.traffic_light</a></li>
</ul>


<h3><a id="index_r" name="index_r"></a>- r -</h3><ul>
<li>rand_range()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a916a08c5f0182836f5f5490b85103be9">Rnd.Rnd</a></li>
<li>random_pick()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a86a171d146418819dab104d743bde50b">Rnd.Rnd</a></li>
<li>red_light&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a7acd3c4e607995e5d9e0abda933cbe73">traffic_light.traffic_light</a></li>
<li>resolution&#160;:&#160;<a class="el" href="classconfigure_1_1config.html#aec381128e5bd69c2e5c1055aa207c033">configure.config</a></li>
<li>right&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a6718fd69ce1c1375c97f540166f28814">Direction.Direction</a></li>
<li>rnd&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a6180028842e2893d83dd857f085234bf">Motion.Motion</a></li>
<li>road&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#aa452aa953be03fa4867fc1518f5f36aa">Motion.Motion</a></li>
<li>road_directions&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a9e7ecbcb393d283567ab30bc9f66b1a9">Tiles.Tiles</a></li>
<li>rule_break()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#ab2e6d2915d3e79f12a6ce9ca8ffcab5d">Rnd.Rnd</a></li>
<li>rulebreak_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a139d52a534c71103169e3daa0772602d">Motion.Motion</a></li>
</ul>


<h3><a id="index_s" name="index_s"></a>- s -</h3><ul>
<li>second_pattern&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aa1c908e60c5194102d86c091c9011efe">TrafficLight.traffic_light</a></li>
<li>set_direction()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a160b108e09dda6d64f5a5231c1729c07">Car.Car</a></li>
<li>set_light()&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a9701e27cd712f77caab2e4f1d06879ed">traffic_light.traffic_light</a></li>
<li>set_velocity()&#160;:&#160;<a class="el" href="classCar_1_1Car.html#a4fd032ed8980a5c3accbdc103928e44e">Car.Car</a></li>
<li>show()&#160;:&#160;<a class="el" href="classRoad_1_1Road.html#a9d1c7f66d905545bbfe73c4cf7006c11">Road.Road</a></li>
<li>showup_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a11b5037372bae70441e7855543729f17">Motion.Motion</a></li>
<li>slow_down()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a611100c9b05808d6d34459818e327e22">Rnd.Rnd</a></li>
<li>slowdown_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#ab380574d83892d2937373421cde821e1">Motion.Motion</a></li>
<li>spawn()&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a40ebea6a49665a063330420fccee539b">Motion.Motion</a></li>
<li>spawn_car()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#a8641357654f8d9bd794d68dee6db7dc8">Rnd.Rnd</a></li>
<li>spawn_point&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a68dcae6aa756d3f94773785d83127d08">Tiles.Tiles</a></li>
<li>speed_up()&#160;:&#160;<a class="el" href="classRnd_1_1Rnd.html#abe044fb113e2e7bf6db0f4d7601a419c">Rnd.Rnd</a></li>
<li>speedup_chance&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a035bd3357d6d195be0c7ab0f7c5d6da1">Motion.Motion</a></li>
</ul>


<h3><a id="index_t" name="index_t"></a>- t -</h3><ul>
<li>tick()&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a095254c480b2b34bddf1ac239a75322d">traffic_light.traffic_light</a>, <a class="el" href="classTrafficLight_1_1traffic__light.html#a30a999052644d19f11d7f3da6d6ae62a">TrafficLight.traffic_light</a></li>
<li>tick_counter&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aada568d315a65fb9d91a78565469287a">TrafficLight.traffic_light</a></li>
<li>tile_type&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#aadd767127b0dd0107ea2519a34d4404e">Tiles.Tiles</a></li>
<li>traffic&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#a5f443b2fe69c010cca0e700e75285b98">traffic_light.traffic_light</a></li>
<li>traffic_light&#160;:&#160;<a class="el" href="classTiles_1_1Tiles.html#a240c5c3f63438346423743a43fd7e1f8">Tiles.Tiles</a></li>
<li>TTL&#160;:&#160;<a class="el" href="classCar_1_1Car.html#ad8dfa647586274cb3fc1253d98bb81dd">Car.Car</a></li>
</ul>


<h3><a id="index_u" name="index_u"></a>- u -</h3><ul>
<li>up&#160;:&#160;<a class="el" href="classDirection_1_1Direction.html#a210e306edec2feff99306da6f201f221">Direction.Direction</a></li>
</ul>


<h3><a id="index_v" name="index_v"></a>- v -</h3><ul>
<li>v_max&#160;:&#160;<a class="el" href="classMotion_1_1Motion.html#a42c1ddac6008da8d87c3895bcb7240a0">Motion.Motion</a></li>
<li>vel&#160;:&#160;<a class="el" href="classCar_1_1Car.html#af992e2b3a404103e43008463e3ee5ac3">Car.Car</a></li>
</ul>


<h3><a id="index_w" name="index_w"></a>- w -</h3><ul>
<li>width&#160;:&#160;<a class="el" href="classtraffic__light_1_1traffic__light.html#ad54c8dabbdc32d7d6a78bb6ffdcbada6">traffic_light.traffic_light</a></li>
</ul>


<h3><a id="index_x" name="index_x"></a>- x -</h3><ul>
<li>x&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a5f1f524f8a47dc66fbd317c20ef466b2">TrafficLight.traffic_light</a></li>
<li>x_vis&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a291a052542803ebfeb433b523d5133dd">TrafficLight.traffic_light</a></li>
</ul>


<h3><a id="index_y" name="index_y"></a>- y -</h3><ul>
<li>y&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#a3140f8052ea6ea755b97a5f17d86d5e9">TrafficLight.traffic_light</a></li>
<li>y_vis&#160;:&#160;<a class="el" href="classTrafficLight_1_1traffic__light.html#aefe9f921775b96c733e5275090677980">TrafficLight.traffic_light</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
